Bug 815631 - Ctrl+S for plurals causes row to collapse then expand
Ctrl+S for plurals causes row to collapse then expand
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
medium Severity low
: ---
: 1.6
Assigned To: Alex Eng
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 02:22 EDT by David Mason
Modified: 2013-03-03 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-alpha-3-SNAPSHOT (20120516-0019).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-04-24 02:22:28 EDT
Description of problem:
Pressing Ctrl+S on a plural translation causes the editor to close then re-open, which causes a lot of movement on screen and could be distracting to translators. 

Version-Release number of selected component (if applicable):
1.6-alpha-1

How reproducible:
Always

Steps to Reproduce:
1.Open the editor for a language with 2 or more plurals
2.Load a document with one or more plurals
3.Focus the editor on a plural
4.Press Ctrl+S
  
Actual results:
Editor closes then re-opens. Height of text flow changes a lot, then returns to previous size.

Expected results:
Height of text flow does not change significantly.

Additional info:
This may also cause problems when the last text flow on a page is a plural, so this case should be checked.
Comment 1 Alex Eng 2012-05-10 20:15:44 EDT
Confirmed its the editor's behavior the forces the editor to be close everytime an update event is triggered to allows it to update the value in model. Problem can only be solve after the table rewrite using different table model.
Comment 2 Alex Eng 2012-05-14 18:42:22 EDT
Improved response time for the editor when save as fuzzy.

See https://github.com/zanata/zanata/commit/5f00cf823473cd48753287251322ec81ca5110c1
Comment 3 Joyce Chang 2012-05-15 20:58:24 EDT
verified in Zanata version 1.6.0-alpha-3-SNAPSHOT (20120516-0019).

Note You need to log in before you can comment on or make changes to this bug.